summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSamuel Holland <samuel@sholland.org>2017-04-26 16:26:41 -0500
committerWilliam Hubbs <williamh@gentoo.org>2017-04-26 16:28:46 -0500
commitd4ab0bc2fb39a9edb0329e5a7538a9bd5eb01fc8 (patch)
tree9d1f2528de4ba0db834f12394f350c1c95f65858 /sys-apps/s6-rc
parentsys-apps/s6-linux-init: 0.3.0.0 version bump (diff)
downloadgentoo-d4ab0bc2fb39a9edb0329e5a7538a9bd5eb01fc8.tar.gz
gentoo-d4ab0bc2fb39a9edb0329e5a7538a9bd5eb01fc8.tar.bz2
gentoo-d4ab0bc2fb39a9edb0329e5a7538a9bd5eb01fc8.zip
sys-apps/s6-rc: 0.2.0.0 version bump
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'sys-apps/s6-rc')
-rw-r--r--sys-apps/s6-rc/Manifest1
-rw-r--r--sys-apps/s6-rc/s6-rc-0.2.0.0.ebuild61
2 files changed, 62 insertions, 0 deletions
diff --git a/sys-apps/s6-rc/Manifest b/sys-apps/s6-rc/Manifest
index fb9315c2571..276fbcb15f2 100644
--- a/sys-apps/s6-rc/Manifest
+++ b/sys-apps/s6-rc/Manifest
@@ -1,3 +1,4 @@
DIST s6-rc-0.0.2.1.tar.gz 85549 SHA256 93f30557e2e2e5c507b5becef2bd26f377be6b6c542fb4627c3122e1c2d83ef9 SHA512 9a83e272ba521e5ede17ded6b6143797d70205c6631fd08bdb9cbefc66e8ab6011de68e94876ec3c7af439ffbff21778207507db74f0ae91117e88fe36a7f65c WHIRLPOOL f10e515db0106816fb3c79c46dea0f171ac89653f326b9287aeccb1a9cc369fb6e6fec40c43eb3c3863763081608ec7cccf780cb8bcaaee7303e6c5d106c082d
DIST s6-rc-0.0.3.0.tar.gz 86992 SHA256 5eb94e77961a075e6305e89e3a5c7e6c95fb7037682d4ea45277c1ab1625892e SHA512 66fe8cf1937671d3b6c06e7aca40e5b94502ca12a659b50e8120a178295084272091a378e8bbf9f69c560fbc69ca10ffdf08763cbd714ed2411d0d558437e325 WHIRLPOOL 54c1bddc6254eadf428806920f9cdf567cbb77d4496d7b8afd2b9c9daee5159719160a63f2ef257eb6bc86726161356864df070a80ed8acb3d3f7e0c8c748518
DIST s6-rc-0.1.0.0.tar.gz 88520 SHA256 d04a8a765740ed55e38a33da3639197f51f83b3e498bdef5bc1d1d322b1acff3 SHA512 d58f52e4bc132eab6fddd1be3b406d0314cc4fdd61e476310a16348c117b032dafd3ef8701219dd7476247d5b9a6685621e94212705aa88934cb1eaee7b1e6fe WHIRLPOOL afac5177ca5220551575036e27b0881fe78712de93ef48e88158abf2c49a7494c47bebe58f48aec8b412a7e2075d29284f57514fe81d2b42b35cd441ff08e13e
+DIST s6-rc-0.2.0.0.tar.gz 90133 SHA256 b83a4f15ba0e13f935c7e4db8ef17229388e1fb4ca4e553b817ad039427404a5 SHA512 981d504382c9801ef53fb2a4a4f7410cf6165f1f49670cb5d42545c3e1bef6c0a50e6176b149fd61ec45ebe701411d12b5e7012cfb897d3472e52a1b8f76f636 WHIRLPOOL 297b7cfb73f480ee5e419197a13a7462849ee948f5445c29b1c0da31ad1d3eb2206afc1cccafb8a489f472ed8853298ff89662dedc57f69e4a95a6e2beaacaab
diff --git a/sys-apps/s6-rc/s6-rc-0.2.0.0.ebuild b/sys-apps/s6-rc/s6-rc-0.2.0.0.ebuild
new file mode 100644
index 00000000000..0e7c6f01fd3
--- /dev/null
+++ b/sys-apps/s6-rc/s6-rc-0.2.0.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit versionator
+
+DESCRIPTION="service manager for the s6 supervision suite"
+HOMEPAGE="https://www.skarnet.org/software/s6-rc/"
+SRC_URI="https://www.skarnet.org/software/${PN}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0/$(get_version_component_range 1-2)"
+KEYWORDS="~amd64 ~x86"
+IUSE="static static-libs"
+
+DEPEND=">=sys-devel/make-3.81
+ static? (
+ >=dev-lang/execline-2.3.0.0[static-libs]
+ >=dev-libs/skalibs-2.5.0.0[static-libs]
+ >=sys-apps/s6-2.5.0.0[static-libs]
+ )
+ !static? (
+ >=dev-lang/execline-2.3.0.0[static=]
+ >=dev-libs/skalibs-2.5.0.0
+ >=sys-apps/s6-2.5.0.0[static=]
+ )
+"
+RDEPEND="
+ >=dev-lang/execline-2.3.0.0:=[!static?]
+ >=sys-apps/s6-2.5.0.0:=[!static?]
+ !static? (
+ >=dev-libs/skalibs-2.5.0.0:=
+ )
+"
+
+DOCS="examples"
+HTML_DOCS="doc/*"
+
+src_prepare() {
+ default
+
+ # Remove QA warning about LDFLAGS addition
+ sed -i "s/tryldflag LDFLAGS_AUTO -Wl,--hash-style=both/:/" "${S}/configure" || die
+}
+
+src_configure() {
+ econf \
+ --bindir=/bin \
+ --dynlibdir=/$(get_libdir) \
+ --libdir=/usr/$(get_libdir)/${PN} \
+ --with-dynlib=/$(get_libdir) \
+ --with-lib=/usr/$(get_libdir)/execline \
+ --with-lib=/usr/$(get_libdir)/s6 \
+ --with-lib=/usr/$(get_libdir)/skalibs \
+ --with-sysdeps=/usr/$(get_libdir)/skalibs \
+ $(use_enable !static shared) \
+ $(use_enable static allstatic) \
+ $(use_enable static static-libc) \
+ $(use_enable static-libs static)
+}